/* Temp header file to replicate the SysCom SICAD structures 
 * This should be removed and the real ones used at a later date.
 */



typedef unsigned int TAaSysComSicad; // TODO

typedef u16 TAaSysComMsgId;             /**< SysCom message ID. */
typedef u16 TAaSysComMsgSize;           /**< SysCom message size. */
typedef u16 TAaSysComCpid;              /**< SysCom communication point ID. */
typedef u16 TAaSysComNid;               /**< SysCom node ID. */
typedef u32 TAaSysComHopId;             /**< SysCom Hop ID. */
typedef u32 TAaSysComLinkId;            /**< SysCom Link ID. */

typedef struct SInternalMsgHeader
{
    u16              reserved; /**< do not use directly */
    TAaSysComMsgId   msgId;    /**< do not use directly */
    TAaSysComSicad   target;   /**< do not use directly */
    TAaSysComSicad   sender;   /**< do not use directly */
    TAaSysComMsgSize msgSize;  /**< do not use directly */
    u16              flags;    /**< do not use directly */
} SInternalMsgHeader;

typedef struct SMsgData
{
    SInternalMsgHeader header;   /**< do not use directly */
    u32                userData; /**< do not use directly */
} SMsgData;

typedef struct SSicAddress
{
    TAaSysComNid   nId;  /**< do not use directly */
    TAaSysComCpid  cpId; /**< do not use directly */
} SSicAddress;

